mod_unreg_security
Prev | Chapter 14. Security Framework | Next

## Name

mod_unreg_security — allows a security module registered with `mod_reg_security` to be unloaded

## Synopsis

`int mod_unreg_security (` | const char * | name,
| struct security_operations * | ops`)`;

## Arguments

`name`

  a pointer to a string with the name of the security_options to be removed

`ops`

  a pointer to the struct security_options that is to be removed

## Description

This function allows security modules that have been successfully registered with a call to `mod_reg_security` to be unloaded from the system. This calls the currently loaded security module's `unregister_security` call with the `name` and `ops` variables.

The return value depends on the currently loaded security module, with 0 as success.

Prev | Up | Next
mod_reg_security | Home | Chapter 15. Audit Interfaces